## net.sf.saxon.jdom
Class JDOMQuery

    java.lang.Object
      |
      +--net.sf.saxon.Query
            |
            +--net.sf.saxon.jdom.JDOMQuery

public class JDOMQuery
extends Query

Variant of command line net.sf.saxon.Transform do build the source document in JDOM and then proceed with the transformation. This class is provided largely for testing purposes.

Constructor Summary
`JDOMQuery()`

Method Summary
`static void` `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`java.util.List` `preprocess(java.util.List sources)`

Methods inherited from class net.sf.saxon.Query
`badUsage, doMain, getConfiguration, makeConfiguration, makeURIResolver, quit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMQuery

    public JDOMQuery()

Method Detail

### preprocess

    public java.util.List preprocess(java.util.List sources)
                              throws XPathException

    `XPathException`

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `Query`
  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Query [options] query-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the query.

  This program executes the query in query-file.

  Parameters:
    `args` - List of arguments supplied on operating system command line